# Uses of Interface
org.eclipse.emf.cdo.lm.reviews.Commentable

Packages that use Commentable
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.reviews.util

## Uses of Commentable in org.eclipse.emf.cdo.lm.reviews

Subinterfaces of Commentable in org.eclipse.emf.cdo.lm.reviews
Modifier and Type
Interface
Description
`interface`
`Comment`
A representation of the model object 'Comment'.
`interface`
`DeliveryReview`
A representation of the model object 'Delivery Review'.
`interface`
`DropReview`
A representation of the model object 'Drop Review'.
`interface`
`Heading`
A representation of the model object 'Heading'.
`interface`
`Review`
A representation of the model object 'Review'.
`interface`
`ReviewTemplate`
A representation of the model object 'Review Template'.
Methods in org.eclipse.emf.cdo.lm.reviews that return Commentable
Modifier and Type
Method
Description
`Commentable`
Comment.`getCommentable()`
Returns the value of the 'Commentable' container reference.
Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type Commentable
Modifier and Type
Method
Description
`void`
Comment.`setCommentable(Commentable value)`
Sets the value of the '`Commentable`' container reference.

## Uses of Commentable in org.eclipse.emf.cdo.lm.reviews.impl

Classes in org.eclipse.emf.cdo.lm.reviews.impl that implement Commentable
Modifier and Type
Class
Description
`class`
`CommentableImpl`
An implementation of the model object 'Commentable'.
`class`
`CommentImpl`
An implementation of the model object 'Comment'.
`class`
`DeliveryReviewImpl`
An implementation of the model object 'Delivery Review'.
`class`
`DropReviewImpl`
An implementation of the model object 'Drop Review'.
`class`
`HeadingImpl`
An implementation of the model object 'Heading'.
`class`
`ReviewImpl`
An implementation of the model object 'Review'.
`class`
`ReviewTemplateImpl`
An implementation of the model object 'Review Template'.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return Commentable
Modifier and Type
Method
Description
`Commentable`
CommentImpl.`getCommentable()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl with parameters of type Commentable
Modifier and Type
Method
Description
`NotificationChain`
CommentImpl.`basicSetCommentable(Commentable newCommentable, NotificationChain msgs)`
`static CommentableImpl.CommentStatistics`
CommentableImpl.`getCommentStatistics(Commentable commentable)`
`void`
CommentImpl.`setCommentable(Commentable newCommentable)`

## Uses of Commentable in org.eclipse.emf.cdo.lm.reviews.util

Methods in org.eclipse.emf.cdo.lm.reviews.util with parameters of type Commentable
Modifier and Type
Method
Description
`T`
ReviewsSwitch.`caseCommentable(Commentable object)`
Returns the result of interpreting the object as an instance of 'Commentable'.